Bug 115432 - ODF filters: footnote separator style:adjustment not imported/exported, always "left"
Summary: ODF filters: footnote separator style:adjustment not imported/exported, alway...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL: http://docs.oasis-open.org/office/v1....
Whiteboard: odf target:6.1.0 target:6.0.3 target:...
Keywords: bibisected, bisected, needUITest, regression
: 115899 (view as bug list)
Depends on:
Blocks: Footnote-Endnote
  Show dependency treegraph
 
Reported: 2018-02-03 22:21 UTC by chamfay
Modified: 2018-03-14 12:13 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Position of footnote line (105 bytes, text/plain)
2018-02-03 22:25 UTC, chamfay
Details
Position of footnote line. (15.71 KB, image/png)
2018-02-03 22:28 UTC, chamfay
Details
Test file (8.65 KB, application/vnd.oasis.opendocument.text)
2018-02-04 14:19 UTC, chamfay
Details
This is a video sample of the problem (3.29 MB, video/x-matroska)
2018-02-04 22:07 UTC, chamfay
Details

Note You need to log in before you can comment on or make changes to this bug.
Description chamfay 2018-02-03 22:21:44 UTC
Description:
Hi,
The footnote separator line still in the left side
I changed its position from page->footnote->position and i make it 'Right, apparently the line moves to the right side, but when i save the document, close it and open it again, no change! the line return to left.


Steps to Reproduce:
1. Open page style dialog
2. Choose "Footnote" Tab 
3. change "Position" option value to right.
4. Save document, close it, open it again.

Actual Results:  
footnote still in the left

Expected Results:
footnote moves to the right


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 chamfay 2018-02-03 22:25:58 UTC
Created attachment 139560 [details]
Position of footnote line
Comment 2 chamfay 2018-02-03 22:28:36 UTC
Created attachment 139561 [details]
Position of footnote line.
Comment 3 Dieter Praas 2018-02-04 07:20:17 UTC
I can't reproduce it with Win10

Version: 6.1.0.0.alpha0+ (x64)
Build ID: 77a535285f0fd5f2464430abdc67cf99be024868
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-01-23_23:04:23
Locale: de-DE (de_DE); Calc: CL
Comment 4 chamfay 2018-02-04 08:25:03 UTC
This happened for me in LibreOffice 5.4.4 also under Windows 7 32/64 and Linux (i'm using KDE Neon LTS).
Comment 5 m.a.riosv 2018-02-04 11:26:06 UTC
Please what file type do you use to save?
Comment 6 Dieter Praas 2018-02-04 12:18:18 UTC Comment hidden (obsolete)
Comment 7 chamfay 2018-02-04 14:19:54 UTC
Created attachment 139571 [details]
Test file

In This test document i already changed the position of the separator to right
Comment 8 Dieter Praas 2018-02-04 20:56:06 UTC
I could reproduce it with the attached document.
Comment 9 chamfay 2018-02-04 22:07:45 UTC
Created attachment 139586 [details]
This is a video sample of the problem
Comment 10 Fahad Al-Saidi 2018-02-06 08:18:01 UTC
(In reply to Dieter Praas from comment #3)
> I can't reproduce it with Win10
> 
> Version: 6.1.0.0.alpha0+ (x64)
> Build ID: 77a535285f0fd5f2464430abdc67cf99be024868
> CPU threads: 4; OS: Windows 10.0; UI render: GL; 
> TinderBox: Win-x86_64@42, Branch:master, Time: 2018-01-23_23:04:23
> Locale: de-DE (de_DE); Calc: CL


I confirm the bug using lireboffice 5.4.4. on linux Ubuntu 16.04.
Comment 11 Dieter Praas 2018-02-21 10:35:47 UTC
(In reply to Fahad Al-Saidi from comment #10)

> I confirm the bug using lireboffice 5.4.4. on linux Ubuntu 16.04.

I change version (earliest affected) to 5.4.4.
Comment 12 Dieter Praas 2018-02-21 10:36:30 UTC
*** Bug 115899 has been marked as a duplicate of this bug. ***
Comment 13 Xisco Faulí 2018-02-21 10:50:51 UTC
Regressions introduced by:

author	Noel Grandin <noel.grandin@collabora.co.uk>	2017-03-09 09:04:15 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2017-03-13 09:02:22 +0000
commit	7e9857c2935bb2533806db4e71c6cd1e171c3478 (patch)
tree	d9f8a6d4f94e19f349b67141359cc7c49130b5fc
parent	7c0e3d0b37131b12262d0f610505b3384923c4a1 (diff)
templatize SvXMLEnumMapEntry
in preparation for "scoped UNO enums".

This is a little hacky: In order to limit the scope of this change,
the templated SvXMLEnumMapEntry struct actually has a fixed size field,
and we cast it to SvXMLEnumMapEntry<sal_uInt16>* in various
places, to avoid carrying the type param around.

Bisected with: bibisect-linux-64-5.4

Adding Cc: to Noel Grandin
Comment 14 Commit Notification 2018-02-27 15:03:57 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d4a8d91abd40dee7f7bd739a678a502a6e34cb59

tdf#115432 footnote separator position remain in the left side

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Xisco Faulí 2018-02-28 12:44:12 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: e2cb154195fdc2ffccdb6f5e87cae8b29640b3eb
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 16 Xisco Faulí 2018-02-28 12:46:32 UTC
Sigh, there's a merge conflict when trying to cherry-pick to 6-0 or 5-4
Comment 17 Noel Grandin 2018-02-28 14:36:51 UTC
cherry-pick to 6-0 in progress:

   https://gerrit.libreoffice.org/50510
Comment 18 Xisco Faulí 2018-02-28 14:52:04 UTC
(In reply to Noel Grandin from comment #17)
> cherry-pick to 6-0 in progress:
> 
>    https://gerrit.libreoffice.org/50510

Thanks!!

Cherry-picked to 5-4 https://gerrit.libreoffice.org/#/c/50512/ and 5-4-6 (https://gerrit.libreoffice.org/#/c/50513/ ) as well
Comment 19 chamfay 2018-02-28 15:26:42 UTC
Problem solved!
Thanks ;)
Comment 20 Commit Notification 2018-03-07 06:08:03 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2407c183092d6559771738891d57d6375c4212ab

Revert "tdf#115432 footnote separator position remain in the left side"

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2018-03-07 07:05:54 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1163bcd5da3063e7e988ebf49d9b60dfd6f6c703

tdf#115432 footnote separator position wrong (2nd attempt)

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2018-03-07 18:25:01 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dcd95c6fff548c7ac46688244e44b95464fb297d

tdf#115432 footnote separator position wrong (3rd attempt)

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2018-03-07 20:24:28 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=800b3eb336f8ad707848d44656e322ed87cb3570&h=libreoffice-6-0

tdf#115432 footnote separator position wrong (2nd attempt)

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2018-03-07 20:24:37 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95bf328d76352c4a2745ece21ccf99ac41693fb8&h=libreoffice-6-0

tdf#115432 footnote separator position wrong (3rd attempt)

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2018-03-08 08:54:34 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d0535042efbb7f319ebb6fa8b2d256b986d671ec&h=libreoffice-5-4

tdf#115432 footnote separator position wrong (2nd attempt)

It will be available in 5.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2018-03-08 08:54:40 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ecd9b10345d5cc89692592a9180999550e9c019&h=libreoffice-5-4

tdf#115432 footnote separator position wrong (3rd attempt)

It will be available in 5.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2018-03-14 12:10:41 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=33e1030d3e044d7754dc3a0a2a0af289ff5e434a&h=libreoffice-5-4-6

tdf#115432 footnote separator position wrong (2nd attempt)

It will be available in 5.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2018-03-14 12:13:00 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=30e3c1c571f3a545143adaceb91102b7d6e329a3&h=libreoffice-5-4-6

tdf#115432 footnote separator position wrong (3rd attempt)

It will be available in 5.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.